> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authenticator Configurations

> Gets a list of the authenticators configured for the tenant.



## OpenAPI

````yaml server-api GET /authenticators
openapi: 3.0.0
info:
  description: Authsignal's Server API.
  version: 1.0.0
  title: Server API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1
  - url: https://au.api.authsignal.com/v1
  - url: https://eu.api.authsignal.com/v1
  - url: https://ca.api.authsignal.com/v1
security:
  - basicAuth: []
tags:
  - name: users
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenge
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: authenticator configurations
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: actions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: query
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sms
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: verify
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenges
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sessions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: devices
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /authenticators:
    get:
      tags:
        - authenticator configurations
      summary: Get authenticator configurations
      description: Gets a list of the authenticators configured for the tenant.
      operationId: getAuthenticatorConfigurations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuthenticatorConfiguration'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    AuthenticatorConfiguration:
      type: object
      properties:
        authenticatorId:
          type: string
          description: The ID of the authenticator configuration.
        verificationMethod:
          $ref: '#/components/schemas/VerificationMethod'
        isActive:
          type: boolean
          description: >-
            Determines whether the authenticator configuration is currently
            active/enabled.
        isEditableByUser:
          type: boolean
          description: >-
            Determines whether the user is able to edit the authenticator in the
            pre-built UI.
        isHiddenToUser:
          type: boolean
          description: Determines whether the authenticator in hidden in the pre-built UI.
        smsChannel:
          type: string
          enum:
            - DEFAULT
            - WHATSAPP
          description: >-
            For SMS authenticator configurations only. If set to `DEFAULT`, only
            regular SMS is allowed. If set to `WHATSAPP`, both regular SMS and
            WhatsApp messages are allowed.
      required:
        - authenticatorId
        - isActive
        - verificationMethod
      example:
        authenticatorId: authenticator_123
        isActive: true
        verificationMethod: SMS
        smsChannel: WHATSAPP
    VerificationMethod:
      type: string
      enum:
        - SMS
        - AUTHENTICATOR_APP
        - EMAIL_MAGIC_LINK
        - EMAIL_OTP
        - PUSH
        - DEVICE
        - SECURITY_KEY
        - PASSKEY
        - VERIFF
        - IPROOV
        - PALM_BIOMETRICS_RR
        - IDVERSE
    Error:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Server API secret key as the username and leave the
        password empty. The secret key can be found in the API Keys section of
        the Authsignal Portal settings page.

````